#
#  ----->>>   root libraries
#

ROOTLIBS   =  `root-config --libs` -lASImage -lMinuit -lHistPainter -lThread
ROOTGLIBS  =  `root-config --glibs` -lASImage -lMinuit -lHistPainter -lThread
ROOTCFLAGS =  `root-config --cflags`

GLIBFLAGS = `glib-config --cflags`
GLIBLIBS  = `glib-config --libs`

#
#  compiler flags
#

#
# You can use this flags to further costumize compilation:
#   export MARSDEFINES="-DHAVE_DARKBACKGROUND -DHAVE_XPM"
#   export MARSFLAGS=
#   export MARSLIBS="-lX11 -lXpm -L/usr/X11R6/lib"
#
#DEFINES	 = -DMARSVER=\"\<cvs\>\" -D__MARS__ $(ARCHDEF) $(MARSDEFINES)

CANDEFS = -DCPU=486 -DBUS_LITTLE_ENDIAN -DDEBUG=0 -DLINUX -D__LINUX__ -DSHOW
DEFINES = -D__COSY__ -DMARSVER=\"Cosy\" -DROOTVER=\"$(ROOTVER)\" $(CANDEFS) $(ARCHDEF)

CXXFLAGS = $(DEBUG) $(OPTIMCXX) $(ROOTCFLAGS) $(INCLUDES) $(DEFINES) $(GLIBFLAGS)
CFLAGS   = $(DEBUG) $(OPTIMC) 
FFLAGS   = $(CXXFLAGS)

HEADERS  = $(subst .cxx,.hxx,$(subst .cc,.h,$(SRCFILES)))
OBJS     = $(subst .c,.o, $(subst .cxx,.o,  $(subst .cc,.o,$(SRCFILES)))) $(CINT)Cint.o
